Bug 1470442 - WSGI apps will not start due to breaking change in django 1.10
WSGI apps will not start due to breaking change in django 1.10
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pulp (Show other bugs)
26
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Ina Panova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 20:52 EDT by Michael Hrivnak
Modified: 2017-07-24 15:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: pulp-2.12.2-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-24 15:20:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hrivnak 2017-07-12 20:52:53 EDT
Description of problem:
django warned about a specific deprecation and removal in 1.10:

https://github.com/django/django/blob/1.9.13/django/conf/urls/__init__.py#L81-L83

These upstream Pulp issues track changes to compensate for that change:

https://pulp.plan.io/issues/2741
https://pulp.plan.io/issues/2898

But neither of those are fixed in Pulp 2.12.2, which is the current version in Fedora 26.

Version-Release number of selected component (if applicable):
2.12.2

How reproducible:
always

Steps to Reproduce:
1. start httpd
2. try to access the REST API wsgi app or content wsgi app

Actual results:
traceback in /var/log/httpd/ssl_error_log

Expected results:
no tracebacks in logs
Comment 1 Fedora Update System 2017-07-13 10:52:22 EDT
pulp-puppet-2.12.2-2.fc26 pulp-2.12.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-287006d69e
Comment 2 Fedora Update System 2017-07-14 18:54:59 EDT
pulp-2.12.2-2.fc26, pulp-puppet-2.12.2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-287006d69e
Comment 3 Fedora Update System 2017-07-24 15:20:22 EDT
pulp-2.12.2-2.fc26, pulp-puppet-2.12.2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.